summaryrefslogtreecommitdiff
path: root/.circleci/tickle.sh
diff options
context:
space:
mode:
Diffstat (limited to '.circleci/tickle.sh')
-rwxr-xr-x.circleci/tickle.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/.circleci/tickle.sh b/.circleci/tickle.sh
new file mode 100755
index 0000000..5071bb4
--- /dev/null
+++ b/.circleci/tickle.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+set -o nounset -o errexit -o pipefail
+
+function tickle() {
+ while [ true ]; do
+ echo "[$(date +%H:%M:%S)"] Tickling...
+ sleep 60
+ done
+}
+
+echo "Forking tickle process..."
+tickle &
+TICKLE_PID=$!
+
+echo "Forking build process..."
+eval $@ &
+BUILD_PID=$!
+
+echo "Waiting for build thread ($BUILD_PID)..."
+wait $BUILD_PID
+
+echo "Killing tickle thread ($TICKLE_PID)..."
+kill $TICKLE_PID
+echo "All done!"